curl -X POST https://secureapi.gridlog.io/api/v1/staking/withdraw \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"stakeId": "stake_123...",
"chain": "solana",
"fromPrivateKey": "YOUR_PRIVATE_KEY"
}'
{
"id": "stake_123...",
"status": "withdrawn",
"withdrawnAmount": "47.5",
"txHash": "5j7s8KXY..."
}
Withdraw tokens after unstaking is complete
curl -X POST https://secureapi.gridlog.io/api/v1/staking/withdraw \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"stakeId": "stake_123...",
"chain": "solana",
"fromPrivateKey": "YOUR_PRIVATE_KEY"
}'
{
"id": "stake_123...",
"status": "withdrawn",
"withdrawnAmount": "47.5",
"txHash": "5j7s8KXY..."
}
curl -X POST https://secureapi.gridlog.io/api/v1/staking/withdraw \
-H "Authorization: Bearer YOUR_JWT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"stakeId": "stake_123...",
"chain": "solana",
"fromPrivateKey": "YOUR_PRIVATE_KEY"
}'
{
"id": "stake_123...",
"status": "withdrawn",
"withdrawnAmount": "47.5",
"txHash": "5j7s8KXY..."
}